# Uses of Class
org.apache.solr.client.solrj.request.CollectionAdminRequest.ClusterStatus

Packages that use CollectionAdminRequest.ClusterStatus
Package
Description
org.apache.solr.client.solrj.request
Convenience classes for dealing with various types of Solr requests.

## Uses of CollectionAdminRequest.ClusterStatus in org.apache.solr.client.solrj.request

Methods in org.apache.solr.client.solrj.request that return CollectionAdminRequest.ClusterStatus
Modifier and Type
Method
Description
`static CollectionAdminRequest.ClusterStatus`
CollectionAdminRequest.`getClusterStatus()`
Return a SolrRequest to get the Cluster status
`CollectionAdminRequest.ClusterStatus`
CollectionAdminRequest.ClusterStatus.`setCollectionName(String collectionName)`
`CollectionAdminRequest.ClusterStatus`
CollectionAdminRequest.ClusterStatus.`setRouteKey(String routeKey)`
`CollectionAdminRequest.ClusterStatus`
CollectionAdminRequest.ClusterStatus.`setShardName(String shard)`